Sorry, forgot to send to the list.

---------- Forwarded message ----------
From: Partha Bagchi <partha1b @>
Date: Sat, May 28, 2011 at 8:57 AM
Subject: Re: [Gimp-developer] Recent Gegl-0.1.7 build fails
To: Øyvind Kolås <pippin @>

On Sat, May 28, 2011 at 8:39 AM, Øyvind Kolås <pippin @> wrote:
>> Platform/Distribution HP Pavilion dv8t Intel Core  i7/ Windows 7, 64bit
>> $ gcc -v
>> Using built-in specs.
>> Target: x86_64-w64-mingw32
>> Configured with: ../gcc44-svn/configure --host=x86_64-w64-mingw32
>> --target=x86_64-w64-mingw32 --disable-multilib --enable-checking=r
>> elease --prefix=/mingw64 --with-sysroot=/mingw64
>> --enable-languages=c,c++,fortran,objc,obj-c++ --enable-libgomp
>> --with-gmp=/mingw64
>> --with-mpfr=/mingw64 --disable-nls --disable-win32-registry
>> Thread model: win32
>> gcc version 4.4.5 20101001 (release) [svn/rev.164871 - mingw-w64/oz] (GCC)
>> Note that this error did not happen a couple of weeks ago.
> The error might be fixed in git master now, you can either do a git
> checkout; or wait for new nightly tarballs to appear. I hope this
> fixes it.
> /Øyvind K.
> --
> «The future is already here. It's just not very evenly distributed»
>                                                  -- William Gibson

Thanks!! I did a temporary fix by doing the following:

copied gegl-buffer-save.c & gegl-tile-backend.c from a previous git
source and built GEGL by passing -DHAVE_GIO since I noticed that, that
was removed from the current source.

Moreover, (while I have your attention, :)) I noticed that
gdk-pixbuf-2.0 is no longer automatically configured. So, I had to
pass that in my command line as GDK_PIXBUF_CFLAGS="`pkg-config
--cflags gdk-pixbuf-2.0`" GDK_PIXBUF_LIBS="`pkg-config --libs

Thanks again,
Gimp-developer mailing list

Reply via email to